Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Here is a list of all class members with links to the classes they belong to:

### - r -

- randTransformation() : eZTemplateArithmeticOperator
- rawXMLText() : eZXMLTextType
- read() : eZFileHandler
- READ_PACKET_SIZE : eZFile
- readAnalyzerSettingsFromINI() : eZImageAnalyzer
- readConversionRuleSettingsFromINI() : eZImageManager
- readImageAliasesFromINI() : eZImageManager
- readImageHandlersFromINI() : eZImageManager
- readImageParameters() : eZTemplateImageOperator
- readINISettings() : eZImageManager
- readItem() : eZApproveCollaborationHandler , eZCollaborationItemHandler
- readMIMETypeQualitySettingFromINI() : eZImageManager
- readMIMETypeSettingFromINI() : eZImageManager
- readMIMETypeSettingsFromINI() : eZImageManager
- readSupportedFormatsFromINI() : eZImageManager
- realCharsetCode() : eZCharsetInfo
- realFile() : eZImageFont
- receiverElements() : eZMail
- receiverEmailText() : eZMail
- receiverText() : eZMail
- receiverTextList() : eZMail
- recreateDOMTree() : eZImageAliasHandler
- rectangle() : Cpdf
- recursionProtect() : eZContentObject
- recursionProtectErrorHandler() : eZDebug
- recursionProtectionEnd() : eZContentObject
- recursionProtectionStart() : eZContentObject
- recursiveDelete() : eZDir
- recursiveFieldMap() : eZRSSImport
- recursiveFind() : eZDir
- recursiveFindRelative() : eZDir
- recursiveList() : eZDir
- redirect() : eZHTTPTool , eZModule
- REDIRECT : eZTrigger
- redirectCurrent() : eZModule
- redirectionURI() : eZModule
- redirectionURIForModule() : eZModule
- redirectModule() : eZModule
- redirectStatus() : eZModule
- redirectTo() : eZModule , eZRedirectManager
- redirectToView() : eZModule
- redirectURI() : eZModule , eZRedirectManager
- redirectURL() : eZInformationCollection
- references() : eZMail
- REGEXP : eZMail
- register() : eZDataType , eZNotificationEventType
- registerAutoloadFunctions() : eZTemplate
- registerAutoloadOperators() : eZTemplate
- registeredDataTypes() : eZDataType
- registerEventType() : eZWorkflowEventType
- registerFilter() : eZTemplate
- registerFunction() : eZSOAPServer , eZTemplate
- registerFunctions() : eZTemplate
- registerFunctionsInternal() : eZTemplate
- registerGateway() : eZPaymentGatewayType
- registerGroupType() : eZWorkflowGroupType
- registerHandler() : eZTranslatorGroup , eZTranslatorManager
- registerImage() : eZImageInterface
- registerLiteral() : eZTemplate
- registerObject() : eZSOAPServer
- registerOperator() : eZTemplate
- registerOperators() : eZTemplate
- registerOperatorsInternal() : eZTemplate
- registerPlacementKey() : eZTemplateBlockFunction
- registerResource() : eZTemplate
- registerShutdownHandler() : eZExecution
- registerType() : eZWorkflowType
- registerURL() : eZURL
- registerURLArray() : eZURL
- reInitialise() : eZSiteAccess
- relatedContentObjectArray() : eZContentObject , eZContentObjectVersion
- relatedContentObjectCount() : eZContentObject
- relatedContentObjectList() : eZContentObject
- relatedObjectCount() : eZContentObject
- relatedObjects() : eZContentObject , eZKeyword
- RELATION_ATTRIBUTE : eZContentObject
- RELATION_COMMON : eZContentObject
- RELATION_EMBED : eZContentObject
- RELATION_FOREIGN_KEY : eZMySQLiDB
- RELATION_FOREIGN_KEY_BIT : eZMySQLiDB
- RELATION_INDEX : eZDBInterface
- RELATION_INDEX_BIT : eZDBInterface
- RELATION_LINK : eZContentObject
- RELATION_MASK : eZDBInterface
- RELATION_NONE : eZDBInterface
- RELATION_SEQUENCE : eZDBInterface
- RELATION_SEQUENCE_BIT : eZDBInterface
- RELATION_TABLE : eZDBInterface
- RELATION_TABLE_BIT : eZDBInterface
- RELATION_TRIGGER : eZDBInterface
- RELATION_TRIGGER_BIT : eZDBInterface
- RELATION_VIEW : eZDBInterface
- RELATION_VIEW_BIT : eZDBInterface
- relationCount() : eZDBInterface , eZMySQLiDB , eZPostgreSQLDB
- relationCounts() : eZDBInterface , eZMySQLiDB , eZPostgreSQLDB
- relationKind() : eZPostgreSQLDB
- relationList() : eZDBInterface , eZMySQLiDB , eZPostgreSQLDB , eZSQLite3DB
- relationMatchRegexp() : eZDBInterface , eZMySQLiDB , eZPostgreSQLDB
- relationName() : eZDBInterface , eZMySQLiDB
- relationTypeMask() : eZContentObject
- remoteID() : eZContentClass , eZContentObject , eZContentObjectTreeNode
- removableInformation() : eZContentClass
- remove() : eZContentClass , eZContentClassNameList , eZContentClassOperations , eZContentObjectOperations , eZDiscountSubRule , eZNodeAssignment , eZPackage , eZPDFExport , eZPersistentObject , eZTSTranslator
- removeAliases() : eZImageAliasHandler
- removeAliasFile() : eZImageAliasHandler
- removeAll() : eZURLWildcard
- removeAllAttributes() : eZXMLInputParser
- removeAllElements() : eZEnumObjectValue , eZEnumValue , eZWaitUntilDateValue
- removeAllExpiryCacheFromDisk() : eZSubtreeCache
- removeAssignment() : eZContentObjectVersion
- removeAttributes() : eZContentClass
- removeAuthors() : eZAuthor
- removeBodyMemento() : eZModuleOperationInfo
- removeByAction() : eZPendingActions , eZURLAliasML
- removeByAddress() : eZGeneralDigestUserSettings
- removeByID() : eZBinaryFile , eZDiscountRule , eZEnumValue , eZISBNGroup , eZISBNGroupRange , eZISBNRegistrantRange , eZMedia , eZMultiPrice , eZNodeAssignment , eZPolicy , eZPolicyLimitation , eZProductCategory , eZURL , eZUserDiscountRule , eZWaitUntilDateValue , eZWorkflowGroupLink
- removeByIdentifier() : eZCollaborationNotificationRule
- removeByIDs() : eZURLWildcard
- removeByNodeAndUserID() : eZSubtreeNotificationRule
- removeByNodeID() : eZContentBrowseBookmark
- removeByOAID() : eZEnumObjectValue
- removeBySubRuleID() : eZDiscountSubRuleValue
- removeByUserID() : eZCollaborationNotificationRule , eZForgotPassword
- removeByUserId() : eZGeneralDigestUserSettings
- removeByUserID() : eZSubtreeNotificationRule , eZUserAccountKey , eZUserSetting , eZWishList
- removeByValue() : eZPolicyLimitationValue
- removeChildGroup() : eZMultiOption2
- removeClassAttribute() : eZSiteInstaller
- removeClassMembers() : eZContentClassClassGroup
- removeClassName() : eZContentClassName
- removeCollection() : eZInformationCollection , eZOrder
- removeColumn() : eZMatrix , eZMatrixDefinition
- removeColumnFromCells() : eZMatrix
- removeColumnFromMatrix() : eZMatrix
- removeContentObject() : eZInformationCollection , eZSiteInstaller
- removeContentObjectRelation() : eZContentObject , eZObjectRelationType
- removeCounter() : eZViewCounter
- removeDatabase() : eZDBInterface , eZMySQLiDB , eZPostgreSQLDB
- removeEmpty() : eZNotificationCollection
- removeEntry() : eZWaitUntilDate
- removeEnumeration() : eZEnum
- removeEvents() : eZWorkflow
- removeExpiryCacheFromDisk() : eZSubtreeCache
- removeFilepath() : eZImageFile
- removeFiles() : eZPackage
- removeForContentObjectAttribute() : eZImageFile
- removeForNode() : eZTipafriendCounter
- removeFunctionNodeChildren() : eZTemplateNodeTool
- removeFunctionNodeParameters() : eZTemplateNodeTool
- removeFunctionNodePlacement() : eZTemplateNodeTool
- removeGeneratingFile() : eZClusterFileHandler
- removeGroup() : eZContentClassClassGroup
- removeGroupMembers() : eZContentClassClassGroup , eZWorkflowGroupLink
- removeHistory() : eZOrder
- removeItem() : eZBasket , eZCollaborationItemHandler , eZOrder , eZWishList
- removeKey() : eZTemplateDesignResource , eZTSTranslator
- removeLanguage() : eZContentLanguage
- removeLayer() : eZImageObject
- removeMultiOptions() : eZMultiOption2 , eZMultiOption
- removeName() : eZSerializedObjectNameList
- removeNode() : eZContentObjectTreeNode
- removeNodeAssignment() : eZSearch
- removeNodeFromTree() : eZContentObjectTreeNode
- removeNodes() : eZSearch
- removeObject() : eZPersistentObject , eZSearch
- removeObjectById() : eZSearch
- removeObjectEnumerations() : eZEnum
- removeObjectFromOption() : eZMultiOption2
- removeOldVersion() : eZEnum
- removeOptions() : eZMultiOption2 , eZMultiOption , eZOption
- removeOrderItems() : eZOrder
- removePathPrefixFromURI() : eZURLAliasML
- removePolicies() : eZRole
- removePoliciesForRole() : eZSiteInstaller
- removePolicy() : eZRole
- removePriceByCurrency() : eZMultiPrice
- removeProductCategories() : eZVatRule
- removeRecentByNodeID() : eZContentBrowseRecent
- removeReferencesToProductCategory() : eZVatRule
- removeRelatedObjectItem() : eZDataType , eZObjectRelationListType , eZObjectRelationType
- removeRelation() : eZDBInterface , eZMySQLiDB , eZPostgreSQLDB , eZSQLite3DB
- removeRelationObject() : eZObjectRelationListType
- removeRelationsByContentClassAttributeId() : eZContentObjectAttribute
- removeRole() : eZRole
- removeRow() : eZMatrix
- removeSelected() : eZContentClassGroup , eZPolicyLimitation , eZWorkflowGroup
- removeSessionData() : eZUser
- removeSessionVariable() : eZHTTPTool
- removeSingleEntry() : eZURLAliasML
- removeStatistics() : eZSearchLog
- removeSubtrees() : eZContentObjectTreeNode
- removeTemporary() : eZContentClass , eZRole , eZWorkflow
- removeThis() : eZContentClassAttribute , eZContentLanguage , eZContentObject , eZContentObjectAttribute , eZContentObjectTreeNode , eZOrderStatus , eZPathElement , eZPolicy , eZPolicyLimitation , eZProductCollectionItem , eZRole , eZRSSExport , eZSection , eZVatType , eZWorkflow , eZWorkflowProcess
- removeTranslation() : eZContentClass , eZContentClassAttribute , eZContentObject , eZContentObjectVersion
- removeTriggerForWorkflow() : eZTrigger
- removeURL() : eZStaticCache
- removeURLlinkList() : eZURLObjectLink
- removeUselessColumns() : eZMatrix
- removeUser() : eZUser , eZUserDiscountRule
- removeUserAssignment() : eZRole
- removeUserAssignmentByID() : eZRole
- removeVatRule() : eZVatRule
- removeVersions() : eZContentObject , eZContentObjectVersion
- removeWaitUntilDateEntries() : eZWaitUntilDate
- removeWorkflow() : eZWorkflow
- removeWorkflowMembers() : eZWorkflowGroupLink
- rename() : eZContentObject , eZFile , eZFileHandler
- renameContentObject() : eZSiteInstaller
- renameDir() : eZSubtreeCache
- renderAll() : eZXMLOutputHandler
- renderChildrenOnly() : eZXHTMLXMLOutput
- renderCustom() : eZXHTMLXMLOutput
- renderInline() : eZXHTMLXMLOutput
- renderLine() : eZXHTMLXMLOutput
- renderParagraph() : eZXHTMLXMLOutput
- renderTag() : eZXMLOutputHandler
- renderText() : eZXHTMLXMLOutput
- reopenObject() : Cpdf
- reorderColumns() : eZMatrix
- reorderObject() : eZPersistentObject
- repairContentObjectAttribute() : eZDataType
- REPLACE_SUFFIX : eZImageHandler
- replaceFieldsWithLongNames() : eZPersistentObject
- replaceFieldsWithShortNames() : eZPersistentObject
- replyTo() : eZMail
- reportError() : eZDBInterface , eZSiteInstaller
- reportProgress() : eZCacheHelper
- reportQuery() : eZDBInterface
- repositories() : eZBinaryFileHandler
- repositoryInformation() : eZPackage
- repositoryPath() : eZPackage
- requestedCharsetCode() : eZCodePage
- requestedInputCharsetCode() : eZMBStringMapper , eZTextCodec
- requestedOutputCharsetCode() : eZMBStringMapper , eZTextCodec
- requestURI() : eZSys
- requiresClusterizing() : eZFSFileHandler
- requiresPurge() : eZFSFileHandler
- requireUniqueEmail() : eZUser
- reservedKeywordList() : eZPgsqlSchema
- reset() : eZDebug , eZLocale , eZPackageHandler , eZPackageInstallationHandler , ezpI18n , eZTemplate , eZWorkflowProcess
- resetCounters() : eZMultiOption2
- resetDataMap() : eZContentObject , eZContentObjectVersion
- resetElements() : eZTemplate
- resetErrorLog() : eZTemplate
- resetFunction() : eZTemplateBlockFunction
- resetGlobals() : eZLocale , eZTranslationCache , eZTranslatorManager , eZTSTranslator
- resetHandler() : eZClusterFileHandler
- resetImageSerialNumber() : eZImageAliasHandler
- resetInputRelationList() : eZContentObject
- resetInstance() : eZImageManager , eZTemplate
- resetIteration() : eZScript , eZTemplateLoop
- resetNameList() : eZSerializedObjectNameList
- resetOptionCounter() : eZMultiOption2 , eZMultiOption
- resetQualityValueOverride() : eZImageManager
- resetToDefaultInProducts() : eZVatType
- resetTranslations() : eZTranslatorManager
- resetVariables() : eZTemplate
- resolveNamePattern() : eZNamePatternResolver
- resolveToken() : eZNamePatternResolver
- RESOURCE_FETCH : eZTemplate
- RESOURCE_QUERY : eZTemplate
- resourceAcquisitionTransformation() : eZObjectForwarder
- resourceData() : eZTemplate
- resourceFor() : eZTemplate
- resourceHandler() : eZTemplate
- resourceName() : eZTemplateFileResource
- resourceRelation() : eZTemplateFunctionElement , eZTemplateOperatorElement
- restore() : eZContentCache
- restoreBodyMementoData() : eZModuleOperationInfo
- restoreCache() : eZTemplateTreeCache , eZTranslationCache
- restoreObjectAttributes() : eZContentObject
- restorePosition() : eZCLI
- restoreState() : Cpdf
- restoreTrashedObjectAttribute() : eZDataType , eZImageType
- result() : eZContentBrowse , eZContentUpload
- RESULT_OK : eZBinaryFileHandler
- RESULT_UNAVAILABLE : eZBinaryFileHandler
- resultTemplate() : eZContentObjectAttribute , eZDataType
- resultTemplateName() : eZInformationCollectionAttribute
- retrieve() : eZTemplateCacheBlock
- retrieveContent() : eZTemplateCacheBlock
- retrieveUserCacheFromFile() : eZUser
- reverseEmbeddedObjectCount() : eZContentObject
- reverseEmbeddedObjectList() : eZContentObject
- reverseEncodingTable() : eZCharsetInfo
- reverseLinkedObjectCount() : eZContentObject
- reverseLinkedObjectList() : eZContentObject
- reverseRelatedCount() : eZContentObjectTreeNode
- reverseRelatedObjectCount() : eZContentObject
- reverseRelatedObjectList() : eZContentObject , eZContentObjectVersion
- reverseTranslate() : eZURLAliasML
- revertFromTemporaryVersion() : eZRole
- rewind() : eZFileHandler
- rewriteURL() : eZImageHandler
- rfc1123Date() : eZDateUtils
- rfc850Date() : eZDateUtils
- rgbToCMYK() : eZMath
- rgbToCMYK2() : eZMath
- rightDelimiter() : eZTemplate
- role() : eZPolicy
- ROLE_APPROVER : eZCollaborationItemParticipantLink
- ROLE_AUTHOR : eZCollaborationItemParticipantLink
- ROLE_CUSTOM : eZCollaborationItemParticipantLink
- ROLE_OBSERVER : eZCollaborationItemParticipantLink
- ROLE_OWNER : eZCollaborationItemParticipantLink
- ROLE_STANDARD : eZCollaborationItemParticipantLink
- roleCount() : eZRole
- roleExists() : eZFilePackageHandler
- roleIDList() : eZUser
- roleName() : eZCollaborationItemHandler , eZCollaborationItemParticipantLink
- roles() : eZUser
- roleString() : eZCollaborationItemParticipantLink
- rollback() : eZDBInterface , eZNullDB
- rollbackQuery() : eZDBInterface , eZMySQLiDB , eZPostgreSQLDB , eZSQLite3DB
- romanTransformation() : eZTemplateArithmeticOperator
- rootCacheDirectory() : eZTranslationCache
- rootDir() : eZSys
- rootDOMNode() : eZPackageInstallationHandler
- rotateLog() : eZDebug , eZLog
- roundTransformation() : eZTemplateArithmeticOperator
- rssFieldDefinition() : eZRSSImport
- rssXmlContent() : eZRSSExport
- ruleNames() : eZCodeMapper
- rules() : eZCollaborationNotificationHandler , eZSubTreeHandler
- rulesCount() : eZSubTreeHandler
- run() : eZModule , eZProcess , eZWizardBase , eZWorkflowProcess
- runFile() : eZProcess
- runFunctionForAllGroups() : eZMultiOption2
- runHooks() : eZModule
- runScript() : eZRunCronjobs
- runTrigger() : eZTrigger
- runWorkflow() : eZTrigger

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.